# Generated by Django 2.1.7 on 2019-07-10 11:03

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('angled', '0037_schoolsite'),
    ]

    operations = [
        migrations.CreateModel(
            name='info_unit_school_site',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('eol', models.DateTimeField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('site', models.IntegerField()),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Project')),
                ('transaction', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Transaction')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ['-created_at'],
                'verbose_name_plural': 'school_site',
                'verbose_name': 'school_site',
            },
        ),
        migrations.CreateModel(
            name='Reading_school_site',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('audience', models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, related_name='unit_audience_school_site', to='angled.Audience')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='readings', to='angled.info_unit_school_site')),
            ],
        ),
        migrations.CreateModel(
            name='Tagged_school_site',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='unit_tag_school_site', to='angled.Tag')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_school_site', to='angled.info_unit_school_site')),
            ],
        ),
    ]
